/*
 * @Author       : yuanrunwei
 * @Date         : 2020-06-10 15:38:47
 * @LastEditors  : yuanrunwei
 * @LastEditTime : 2020-06-11 10:20:55
 * @FilePath     : \batterycloud-admin\vue.config.js
 */
module.exports = {
  transpileDependencies: [/node_modules[/\\\\](element-ui|vuex|)[/\\\\]/],
  publicPath: './',
  runtimeCompiler: true,
  productionSourceMap: false,
  devServer: {
    host: '127.0.0.1',
    https: false,
    open: true,
    proxy: {
      '/sys': {
        target: 'http://47.100.59.52:7782/sys',
        wx: true,
        changeOrigin: true,
        pathRewrite: {
          '^/sys': ''
        }
      },
      '/platform': {
        target: 'http://47.100.59.52:7782/platform',
        wx: true,
        changeOrigin: true,
        pathRewrite: {
          '^/platform': ''
        }
      },
      'http://47.100.59.52:7782/platform': {
        target: 'http://47.100.59.52:7782/platform',
        wx: true,
        changeOrigin: true,
        pathRewrite: {
          '^/http://47.100.59.52:7782/platform': ''
        }
      },
      '/dict': {
        target: 'http://47.100.59.52:7782/dict',
        wx: true,
        changeOrigin: true,
        pathRewrite: {
          '^/dict': ''
        }
      },
      '/addr': {
        target: 'http://47.100.59.52:7782/addr',
        wx: true,
        changeOrigin: true,
        pathRewrite: {
          '^/addr': ''
        }
      }
    }
  }
}
